Subject: Re: bug#56744: 29.0.50; "Autoloaded" information lost in native compilation?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Aug 2023 15:06:49 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 20 Aug 2023 16:45:51 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Andrea,
> >
> > Could you please take a look at this year-old bug report?
> >
> >> Date: Sun, 24 Jul 2022 19:10:03 +0300
> >> From: Eli Zaretskii <[email-masked]>
> >> 
> >> 
> >> To reproduce:
> >> 
> >>   emacs -Q
> >>   C-h f rmail-movemail-variant-p RET
> >> 
> >> (or any other autoloaded function).  Assuming that the function's .el
> >> file was already natively compiled to produce a .eln file, the
> >> "autoloaded" part will not be shown in the *Help* buffer, Emacs will
> >> only say that this is a native-compiled function.
> 
> On current master before requiring rmail on C-h f
> rmail-movemail-variant-p RET I get:
> 
> ===
> rmail-movemail-variant-p is an autoloaded byte-compiled Lisp function
> in ‘rmail.el’.
> 
> (rmail-movemail-variant-p &rest VARIANTS)
> ===
> 
> After requiring rmail (and having it native compiled) I get:
> 
> ===
> rmail-movemail-variant-p is an autoloaded native-compiled Lisp
> function in ‘rmail.el’.
> 
> (rmail-movemail-variant-p &rest VARIANTS)
> 
> Inferred type: (function (&rest t) boolean)
> ===
> 
> So I guess the issue has already been fixed (or I'm not reproducing it
> correctly)?

No, you are reproducing correctly.  It's also seems to be fixed on the
emacs-29 branch, so I will close the bug.  Sorry for not
double-checking before I pinged you.